Removing the assigned subscription from multiple hosts using bulk action fails.

06/17/2018 06:43 PM - Samir Jha

Status: Closed   

Priority: Normal   

Assignee:    

Category: Host Collections   

Target version: Katello 3.8.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: Katello 3.4.0

Bugzilla link: 1572590 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/746

5

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1572590

Description of problem:

From host collection assigning subscription to multiple hosts at once is possible with bulk action but removing the subscription from

them all at once using bulk action fails.

Version-Release number of selected component (if applicable):

Katello 3.4.0

How reproducible:

100% reproducible.

Steps to Reproduce:

1. Hosts => Host Collections => name_of_collection => Subscription Management  --> able to asign add subscriptions to a bulk

group of hosts

2.Removing does not work in reality.

Actual results:

Shows removed but subscriptions are still there

Expected results:

It should be removed.

Associated revisions

Revision 76ae5b79 - 07/09/2018 01:47 PM - Samir Jha

Fixes #23968 - fix adding/removing multiple subs

History

#1 - 06/19/2018 05:09 PM - Samir Jha

2 issues came up during discussions:

1. Allow users to add multiple subscriptions from content host page.

2. When deleting subscriptions, delete all subscriptions irrespective of the quantity selected.

This ticket will target both of these.

#2 - 06/20/2018 05:11 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7465 added

#3 - 06/20/2018 06:00 PM - Jonathon Turel

- Description updated

- translation missing: en.field_release set to 349

#4 - 07/09/2018 02:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|76ae5b79763bc4c9c1bf4dc2c7cbd71824a7a7ec.

#5 - 07/12/2018 02:56 PM - Greg Sutcliffe

- Triaged set to No

- Found in Releases Katello 3.4.0 added
